Bug 196190 - gnupg2: CVE-2006-3082 gnupg integer overflow
gnupg2: CVE-2006-3082 gnupg integer overflow
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gnupg2 (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
impact=moderate,source=vendorsec,publ...
: Security
Depends On: 195946
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-21 16:05 EDT by Nalin Dahyabhai
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-22 11:44:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nalin Dahyabhai 2006-06-21 16:05:44 EDT
+++ This bug was initially created as a clone of Bug #195946 +++

gnupg integer overflow

Text taken from MITRE:

parse-packet.c in GnuPG (gpg) 1.4.3 and 1.9.20 allows remote attackers
to cause a denial of service (gpg crash) and possibly overwrite memory
via a message packet with a large length, which could lead to an
integer overflow, as demonstrated using the --no-armor option.


This issue also affects FC4
Comment 1 Rex Dieter 2006-06-22 11:28:06 EDT
Thanks.

Next gnupg2 build will omit the gpg2 binary, because
* has security issue (CVE-2006-3082)... duh.
* as of the latest version, 1.9.21, it doesn't build
* upstream devs say "You shall not build the gpg part.  There is a reason why it
is not enabled by default"

Comment 2 Rex Dieter 2006-06-22 11:44:51 EDT
%changelog
* Thu Jun 22 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.9.21-1
- 1.9.21
- omit gpg2 binary to address CVS-2006-3082 (#196190)

Note You need to log in before you can comment on or make changes to this bug.